spec:
  inputs:
    stage:
      default: scan-image
    image:
      default: ghcr.io/defenseunicorns/swf-pipeline-templates/trivy:0.48.0-with-db
    docker-image-tar:
      default: "${ARTIFACT_FOLDER}/image-as-tar/${CI_PROJECT_NAME}-${CI_COMMIT_SHORT_SHA}.tar"

---
trivy:
  stage: $[[ inputs.stage ]]
  allow_failure: false
  image:
    name: $[[ inputs.image ]]
    entrypoint: [""]
  variables:
  #   GIT_STRATEGY: none
  #   CONTAINER_SCAN_REPORT: ${ARTIFACT_FOLDER}/trivy/trivy-report.json
  #   FORMATTED_REPORT: ${ARTIFACT_FOLDER}/trivy/trivy-report.txt
    TRIVY_USERNAME: "$CI_REGISTRY_USER"
    TRIVY_PASSWORD: "$CI_REGISTRY_PASSWORD"
    TRIVY_AUTH_URL: "$CI_REGISTRY"
  artifacts:
    when: always
    paths:
      - "${ARTIFACT_FOLDER}/trivy/"
  before_script:
    - mkdir -p ${ARTIFACT_FOLDER}/trivy/
  script:
    - trivy --version
    - trivy image --skip-update --format json --output  ${ARTIFACT_FOLDER}/trivy/trivy-report.json --input $[[ inputs.docker-image-tar ]]
